'use strict';

const _                          = require('lodash');
const Promise                    = require('bluebird');
const logger                     = require('cf-logs');
const ResponseHandler            = require('./../../../helpers/ResponseHandler');
const BaseCrudController         = require('./../../crud.base.controller');


class Controller extends BaseCrudController {
    constructor() {
        super({
            lookForNamespaces: true
        });
    }

    compareRevisionsInRelease(req, res, next){
        const kubeManager        = req.kubeManager;
        const releaseController   = kubeManager.getReleaseController.bind(kubeManager);
        const namespace = req.query.namespace || 'kube-system'; // default for tiller
        const releaseName = req.params.release;
        const base = req.params.base;
        const head = req.params.head;
        releaseController(namespace).compareRevisionsInRelease(releaseName, base, head)
        .then((data) => {
            res.send(data);
        })
    }    
}

module.exports = new Controller();
